package general;

public class ThreadTest extends Thread {
  public void run() {
    Thread.currentThread().setPriority(MIN_PRIORITY);
    for (int i = 0; i < 1000; i++) {
      for (int j = 0; j < 1000; j++) {
	Math.sin(j);
      }
      System.out.print("sin(" + i + ")= " + Math.sin(i) + " ");
      yield();
      /*
      try {
	sleep(5000);
      }
      catch (InterruptedException e) {
	System.out.println("interrupted");
      }
      */
    }
  }
}
